# KSPSkipConverged

Convergence test that NEVER returns as converged.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPSkipConverged(KSP ksp,PetscInt n,PetscReal rnorm,KSPConvergedReason *reason,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm residual value (may be estimated)
| dummy | - unused convergence context

### Returns

reason -always KSP_CONVERGED_ITERATING

### Notes

This is used as the convergence test with the option KSPSetNormType(ksp,KSP_NORM_NO), since norms of the residual are not computed. Convergence is then declared after a fixed number of iterations have been used. Useful when one is using CG or Bi-CG-stab as a smoother.

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPSetNormType()

Level:advanced
Location: src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages